jQuery(document).ready(function($) {

	// Orderby
	$('select.orderby').change(function(){
		$(this).closest('form').submit();
	});

	// Quantity buttons
	$("div.quantity:not(.buttons_added), td.quantity:not(.buttons_added)").addClass('buttons_added').append('<input type="button" value="+" class="plus" />').prepend('<input type="button" value="-" class="minus" />');

	// Target quantity inputs on product pages
	$("input.qty:not(.product-quantity input.qty)").each(function(){

		var min = parseFloat( $(this).attr('min') );

		if ( min && min > 0 && parseFloat( $(this).val() ) < min ) {
			$(this).val( min );
		}

	});

	$(document).on( 'click', '.plus, .minus', function() {

		// Get values
		var $qty 		= $(this).closest('.quantity').find(".qty");
	    var currentVal 	= parseFloat( $qty.val() );
	    var max 		= parseFloat( $qty.attr('max') );
	    var min 		= parseFloat( $qty.attr('min') );
	    var step 		= $qty.attr('step');

	    // Format values
	    if ( ! currentVal || currentVal == "" || currentVal == "NaN" ) currentVal = 0;
	    if ( max == "" || max == "NaN" ) max = '';
	    if ( min == "" || min == "NaN" ) min = 0;
	    if ( step == 'any' || step == "" || step == undefined || parseFloat( step ) == "NaN" ) step = 1;

	    // Change the value
	    if ( $(this).is('.plus') ) {

		    if ( max && ( max == currentVal || currentVal > max ) ) {
		    	$qty.val( max );
		    } else {
		    	$qty.val( currentVal + parseFloat( step ) );
		    }

	    } else {

		    if ( min && ( min==currentVal || currentVal < min ) ) {
		    	$qty.val( min );
		    } else if ( currentVal > 0 ) {
		    	$qty.val( currentVal - parseFloat( step ) );
		    }

	    }

	    // Trigger change event
	    $qty.trigger('change');
	});

	/* State/Country select boxes */
	var states_json = colorshop_params.countries.replace(/&quot;/g, '"');
	var states = $.parseJSON( states_json );

	$('select.country_to_state').change(function(){

		var country = $(this).val();

		var $statebox = $(this).closest('div').find('#billing_state, #shipping_state, #calc_shipping_state');
		var $parent = $statebox.parent();

		var input_name = $statebox.attr('name');
		var input_id = $statebox.attr('id');
		var value = $statebox.val();
		var placeholder = $statebox.attr('placeholder');

		if (states[country]) {
			if (states[country].length == 0) {

				$statebox.parent().hide().find('.chzn-container').remove();
				$statebox.replaceWith('<input type="hidden" class="hidden" name="' + input_name + '" id="' + input_id + '" value="" placeholder="' + placeholder + '" />');

				$('body').trigger('country_to_state_changed', [country, $(this).closest('div')]);

			} else {

				var options = '';
				var state = states[country];
				for(var index in state) {
					options = options + '<option value="' + index + '">' + state[index] + '</option>';
				}
				$statebox.parent().show();
				if ($statebox.is('input')) {
					// Change for select
					$statebox.replaceWith('<select name="' + input_name + '" id="' + input_id + '" class="state_select" placeholder="' + placeholder + '"></select>');
					$statebox = $(this).closest('div').find('#billing_state, #shipping_state, #calc_shipping_state');
				}
				$statebox.html( '<option value="">' + colorshop_params.i18n_select_state_text + '</option>' + options);

				$statebox.val(value);

				$('body').trigger('country_to_state_changed', [country, $(this).closest('div')]);

			}
		} else {
			if ($statebox.is('select')) {

				$parent.show().find('.chzn-container').remove();
				$statebox.replaceWith('<input type="text" class="input-text" name="' + input_name + '" id="' + input_id + '" placeholder="' + placeholder + '" />');

				$('body').trigger('country_to_state_changed', [country, $(this).closest('div')]);

			} else if ($statebox.is('.hidden')) {

				$parent.show().find('.chzn-container').remove();
				$statebox.replaceWith('<input type="text" class="input-text" name="' + input_name + '" id="' + input_id + '" placeholder="' + placeholder + '" />');

				$('body').trigger('country_to_state_changed', [country, $(this).closest('div')]);

			}
		}

		$('body').trigger('country_to_state_changing', [country, $(this).closest('div')]);

	});
	
	function get_str_attr() {
		var allValue = [];
		
		$("#cs-filter .cs-filter-panel .first").each(function(index, value){
			var first = $(value).text();
			if (first.length > 0) {
				first = first.substr(0, first.length - 1);
			}
			var length = $(this).next().find('.selected').length;
			if (length > 0) {
				var attrs = [];
				$(this).next().find('.selected').each(function(index, value){
					attrs.push($(this).text());
				});
				allValue.push(first + ':' + attrs.join(','));
			}
		});	
		
		$str_allValue = allValue.join(';');
		return $str_allValue; 
	}
	
	function fill_data() {
		
		
		var orderby = '';
		
		var tag = $('.cs-sorting a.selected').attr('tag');
		if (tag == 'price') {
			orderby = $('.cs-sorting a.selected').hasClass('down') ? 'price-desc' : 'price';	
		}
		else if (tag == 'popularity') {
			orderby = 'popularity';
		} else if (tag == 'rating') {
			orderby = 'rating';
		} else if (tag == 'date') {
			orderby = 'date';
		}
		
		var old_url = window.location.href;
		old_url += '?';
		var parms = old_url.split('?')[1];
		var arr_parms = parms.split('&');
		var new_value = [];
		var find = false;
		var has_orderby = false;
		for(p in arr_parms) {
			var arr_value = arr_parms[p].split('='); 
			if (arr_value[0] == 'attr') {
				arr_value[1] = get_str_attr();
				find = true;
			}
			else if (arr_value[0] == 'orderby') {
				arr_value[1] = orderby;
				has_orderby = true;
			}
			if (arr_value[0] != 'paged') {
				var str_value = arr_value.join('=');
				new_value.push(str_value);	
			}
		}
		if (! find) {
			new_value.push('attr=' + get_str_attr());
		}
		var new_parms = new_value.join('&');
		
		if (has_orderby) {
			var url = '?' + new_parms;
		} else {
			var url = '?orderby='+ orderby + '&' + new_parms;
		}
		
		window.history.pushState("object or string", "Title", url);
		
		jQuery('.products').block({ message: null, overlayCSS: { background: '#fff url(' + colorshop_params.plugin_url + '/assets/images/ajax-loader.gif) no-repeat center', opacity: 0.6 } });
		
		
		
		jQuery.get( url , function( response ) {
			$('#cs-filter .cs-filter-selected ul li').remove();	
			$("#cs-filter .cs-filter-panel a.selected").each(function(index, value){				
				$('<li style="display:none"><a href="javascript:void(0);">'+$(this).text()+'</a></li>').appendTo("#cs-filter .cs-filter-selected ul").show();
			});
			
			$result = $(response).find('.colorshop-result-count').html();
			$('.colorshop-result-count').html($result);
			
			$products = $(response).find('.products').html();
			//console.debug($products);
			$('.products').html($products);
			
			$pagination = $(response).find('.colorshop-pagination').html();
			
			if ($pagination) {
				if ($('.colorshop-pagination').length > 0) {
					$('.colorshop-pagination').html($pagination);
				} else {
					$('#content').append('<nav class="colorshop-pagination">'+ response +'</nav>');
				}
			} else {
				$('.colorshop-pagination').remove();
			}
			
			jQuery('.products').unblock();
		}, 'html');
	}
	
	//var access = false;
	$('#cs-filter .cs-sorting a').click(function(){
		if ($(this).hasClass('selected')) {
			$(this).toggleClass('down');
		} 
		$(this).addClass('selected').siblings().removeClass('selected down');
	
		fill_data();
		
	});
	
	$("#cs-filter .cs-filter-panel a").click(function(){	
		$(".cs-filter-selected").slideDown(250).fadeIn(70);
	
		if ($(this).hasClass('selected')) {
			var selected = $(this).text();
			console.debug(selected);
			$('.cs-filter-selected ul li a').each(function(index, value){
				if ($(value).text() == selected) {
					$(this).parent().fadeOut('fast', function(){
		  				$(this).remove();
		  				var $length = $('.cs-filter-selected ul li').length;
						if ($length == 0){
							$(".cs-filter-selected").slideUp(250).fadeOut(70);
						}
						
					});
				}
			});
			$(this).removeClass('selected');
			fill_data();
		}
		else {
			$(this).addClass('selected');	
			$('<li style="display:none"><a href="javascript:void(0);">'+$(this).text()+'</a></li>').appendTo("#cs-filter .cs-filter-selected ul").fadeIn();
			fill_data();			
		}
	});

	
	$("#cs-filter .cs-filter-selected ul li a").live('click', function(){
		$(this).parent().fadeOut('fast', function(){
		  $(this).remove();
		  var $length = $('.cs-filter-selected ul li').length;
		  if ($length == 0){
		  	$(".cs-filter-selected").slideUp(250).fadeOut(70);
		  }
		  fill_data();
		});
		
		var selected = $(this).text();
		$('#cs-filter .cs-filter-panel a').each(function(index, value){
			if ($(value).text() == selected) {
				$(this).removeClass('selected');
			}
		});
	});
	
	$("#cs-filter .cs-filter-selected .clearall").click(function(){
		$('#cs-filter .cs-filter-selected ul li').remove();
		$('#cs-filter .cs-filter-panel a.selected').removeClass('selected');
		$(".cs-filter-selected").slideUp(250).fadeOut(70);
		fill_data();
	});
	
//	function getData() {
////		if ($('div#loading').length == 0) 				
////			$('body').append('<div id="loading" style="display:none"></div>');
////		
////		$('div#loading').center().show();
////		
////		$('ul.products').css('opacity','0.7');
//		
////		alert('');
////		return;
//			
////		var allValue = [];
////		
////		$("#cs-filter .cs-filter-panel .first").each(function(index, value){
////			var first = $(value).text();
////			if (first.length > 0) {
////				first = first.substr(0, first.length - 1);
////			}
////			var length = $(this).next().find('.selected').length;
////			if (length > 0) {
////				var attrs = [];
////				$(this).next().find('.selected').each(function(index, value){
////					attrs.push($(this).text());
////				});
////				allValue.push(first + ':' + attrs.join(','));
////			}
////		});	
////		
////		$str_allValue = allValue.join(';');
//
//		//var url = "?post_type=product&attr=" + get_str_attr();
//		fill_data();
//		
////		window.history.pushState("object or string", "Title", url);
////		
////		jQuery('.products').block({ message: null, overlayCSS: { background: '#fff url(wp-content/plugins/colorshop/assets/images/ajax-loader.gif) no-repeat center', opacity: 0.6 } });
//////		var data = {
//////				attr:			$str_allValue,
//////				action: 		'colorshop_get_product_list_content'
//////		};
//////		jQuery.post( 'wp-content/plugins/colorshop/templates/get_product_list_content.php', data, function( response ) {
//////			
//////			//console.debug(response);
//////			
////////			if (response) {
////////				
////////			}
//////			$('#cs-filter .cs-filter-selected ul li').remove();	
//////			$("#cs-filter .cs-filter-panel a.selected").each(function(index, value){				
//////				$('<li style="display:none"><a href="javascript:void(0);">'+$(this).text()+'</a></li>').appendTo("#cs-filter .cs-filter-selected ul").show();
//////			});
//////			$('.products').html(response);
//////			
//////			$('.colorshop-pagination').html();
//////				
//////			jQuery('.products').unblock();
//////		});
////		
////		
////		jQuery.get( url, function( response ) {
////			//console.debug(response);
//////			$('#cs-filter .cs-filter-selected ul li').remove();	
//////			$("#cs-filter .cs-filter-panel a.selected").each(function(index, value){				
//////				$('<li style="display:none"><a href="javascript:void(0);">'+$(this).text()+'</a></li>').appendTo("#cs-filter .cs-filter-selected ul").show();
//////			});
////			
////			$products = $(response).find('.products').html();
////			//console.debug($products);
////			$('.products').html($products);
////			
////			$pagination = $(response).find('.colorshop-pagination').html();
////			console.debug($pagination);
////			if ($pagination) {
////				if ($('.colorshop-pagination').length > 0) {
////					$('.colorshop-pagination').html($pagination);
////				} else {
////					$('#content').append('<nav class="colorshop-pagination">'+ response +'</nav>');
////				}
////			} else {
////				$('.colorshop-pagination').remove();
////			}
////			
////			jQuery('.products').unblock();
////		}, 'html');
//		
//		
//		
////		$.get('wp-content/plugins/colorshop/templates/ajax/product-list-content.php', { attr: $str_allValue }, function(data){
////
////			$('#cs-filter .cs-filter-selected ul li').remove();	
////			$("#cs-filter .cs-filter-panel a.selected").each(function(index, value){				
////				$('<li style="display:none"><a href="javascript:void(0);">'+$(this).text()+'</a></li>').appendTo("#cs-filter .cs-filter-selected ul").show();
////			});				
////
////
////			$('div#loading').hide();
////
////			$('ul.products').css('opacity','1');
////			$('.products').html(data);
////		});
//	}
	
	/******************Checkout******************/
	
	$("#cs-edit-address .edit-address-click").live('click', function(){
		$(this).hide();
		$("#cs-edit-address .add-address").show();
		$("#address-administration").show();
	});
	
	$("#cs-edit-address .edit-address").live('click', function(){
		$("#cs-edit-address .cancel-address").hide();
		$("#cs-edit-address .edit-address").show();
		$(this).hide();
		$(this).prev().show();
		$("#customer_details").show("slow");		
		$("#cs-edit-address .save-address").show();
		$("#cs-edit-address .add-address").hide();
		$("#cs-edit-address .cancel-address-2").show();
		
//		if ($('div#loading').length == 0) 				
//			$('body').append('<div id="loading" style="display:none"></div>');		
//		$('div#loading').center().show();		
//		$('#customer_details').css('opacity','0.5');
//		$.get('http://localhost/wordpress3/', function(){
//			$('div#loading').hide();
//			$('#customer_details').css('opacity','1');
//		}, 'html');
		
//		var test = jQuery('#customer_details').find('input, select, textarea').serialize();
//		console.debug(test);
//		
//		var test1 = 'id=' + $(this).attr('data-tag');
//		console.debug(test1);
		
		jQuery('#customer_details').block({ message: null, overlayCSS: { background: '#fff url(' + colorshop_params.plugin_url + '/assets/images/ajax-loader.gif) no-repeat center', opacity: 0.6 } });
		var data = {
				id:			 	$(this).attr('data-tag'),
				action: 		'colorshop_get_extra_address'
		};
		jQuery.post( colorshop_params.ajax_url, data, function( response ) {
			if (response) {
				//jQuery('#cs-change-email h2').text('Change Email (' + response + ')');
				//console.debug(response.billing_country);
				$('#billing_country').val(response.billing_country);
				$('#billing_first_name').val(response.billing_first_name);
				$('#billing_last_name').val(response.billing_last_name);
				$('#billing_company').val(response.billing_company);
				$('#billing_address_1_field').val(response.billing_address_1);
				$('#billing_address_2_field').val(response.billing_address_2);
				$('#billing_city').val(response.billing_city);
				$('#billing_state').val(response.billing_state);
				$('#billing_postcode').val(response.billing_postcode);
				$('#billing_email').val(response.billing_email);
				$('#billing_phone_field').val(response.billing_phone);
			}
			jQuery('#customer_details').unblock();
		}, 'json');
		
	});
	
	$("#cs-edit-address .cancel-address").live('click', function(){
		$(this).hide();
		$(this).next().show();
		$("#customer_details").hide("slow");		
		$("#cs-edit-address .save-address").hide();
		$("#cs-edit-address .add-address").show();
		$("#cs-edit-address .cancel-address-2").hide();
	});
	
	$("#cs-edit-address .add-address").live('click', function(){
		$("#customer_details").slideToggle("slow");
		$(this).hide();
		$("#cs-edit-address .save-address").show();
		$("#cs-edit-address .cancel-address-2").show();
	});
	
	$("#cs-edit-address .save-address").live('click', function(){
//		if ($('div#loading').length == 0) 				
//			$('body').append('<div id="loading" style="display:none"></div>');		
//		$('div#loading').center().show();		
//		$('#customer_details').css('opacity','0.5');
		var $this = this;
		
		var length = $("#cs-edit-address .cancel-address").filter(':visible').length;
		
		jQuery('#customer_details').block({ message: null, overlayCSS: { background: '#fff url(' + colorshop_params.plugin_url + '/assets/images/ajax-loader.gif) no-repeat center', opacity: 0.6 } });
		var data = {
				id:				(length > 0) ? $("#cs-edit-address .cancel-address").filter(':visible').next().attr('data-tag') : 0,
				data:			jQuery('#customer_details').find('input, select, textarea').serialize(),
				action: 		'colorshop_save_address'
		};
		jQuery.post( colorshop_params.ajax_url, data, function( response ) {
			if (response) {
				//jQuery('#cs-change-email h2').text('Change Email (' + response + ')');
				//console.debug(response);
				
				$("#customer_details").slideToggle("slow");
				$($this).hide();
				$("#cs-edit-address .add-address").show();	
				$("#cs-edit-address .cancel-address-2").hide();
				
				//var length = $("#cs-edit-address .cancel-address").filter(':visible').length;
				if (length > 0)
				{
					var rdo_billing = $("#cs-edit-address .cancel-address").filter(':visible').parent().parent().find('input.cs-billing-input').prop('checked');
					var rdo_shipping = $("#cs-edit-address .cancel-address").filter(':visible').parent().parent().find('input.cs-shipping-input').prop('checked');
					if (rdo_billing) {
						//console.debug(response);
						
//						$('#cs-edit-address .cs-billing-address .recipients').text(response.billing_first_name + ' ' + response.billing_last_name);
//						$('#cs-edit-address .cs-billing-address .company-name').text(response.billing_company);
//						$('#cs-edit-address .cs-billing-address .address').text(response.billing_address_1);
//						$('#cs-edit-address .cs-billing-address .address2').text(response.billing_address_2);
//						$('#cs-edit-address .cs-billing-address .billing-city').text(response.billing_city);
//						$('#cs-edit-address .cs-billing-address .billing-state').text(response.billing_state);
//						$('#cs-edit-address .cs-billing-address .billing-postcode').text(response.billing_postcode);
//						$('#cs-edit-address .cs-billing-address .billing_country').text(response.billing_country);
						
//						jQuery.get(window.location.href, function( response ){
//							var billing_address = $(response).find('.cs-billing-address').html();
//							console.debug(billing_address);
//							$('.cs-billing-address').html(billing_address);
//						}, 'html');

						$("#address-administration .cs-billing-input").click();
					}
					if (rdo_shipping) {
//						$('#cs-edit-address .cs-shipping-address .recipients').text(response.billing_first_name + ' ' + response.billing_last_name);
//						$('#cs-edit-address .cs-shipping-address .company-name').text(response.billing_company);
//						$('#cs-edit-address .cs-shipping-address .address').text(response.billing_address_1);
//						$('#cs-edit-address .cs-shipping-address .address2').text(response.billing_address_2);
//						$('#cs-edit-address .cs-shipping-address .billing-city').text(response.billing_city);
//						$('#cs-edit-address .cs-shipping-address .billing-state').text(response.billing_state);
//						$('#cs-edit-address .cs-shipping-address .billing-postcode').text(response.billing_postcode);
//						$('#cs-edit-address .cs-shipping-address .billing_country').text(response.billing_country);
						
//						jQuery.get(window.location.href, function( response ){
//							var shipping_address = $(response).find('.cs-shipping-address').html();
//							$('.cs-shipping-address').html(shipping_address);
//						}, 'html');

						$("#address-administration .cs-shipping-input").click();
					}
					
					var tr_obj = $("#cs-edit-address .cancel-address").filter(':visible').parent().parent();
					$(tr_obj).find('td:eq(2)').text(response.billing_first_name + ' ' + response.billing_last_name);
					$(tr_obj).find('td:eq(3) span:eq(0)').text(response.billing_address_1);
					$(tr_obj).find('td:eq(3) span:eq(1)').text(response.billing_state);
				}
				
				else {
					var td_length = $("#address-administration tr:first td").length;
					var str_shipping = (td_length == 4) ? '' : '<td><input class="cs-shipping-input" type="radio" name="rdo-shipping" value="radiobutton"></td>';
					$('#address-administration').append('<tr><td><input class="cs-billing-input" type="radio" name="rdo-billing" value="radiobutton"></td>'+ str_shipping +'<td>' + response.billing_first_name + ' ' + response.billing_last_name +'</td><td><span>' + response.billing_address_1 + '</span><span>' + response.billing_state + '</span></td><td><a class="cancel-address" href="javascript:void(0);" style="display:none;">Cancel</a><a class="edit-address" href="javascript:void(0);" data-tag="' + response.address_id + '">Edit</a>/<a class="delete-address" href="javascript:void(0);">Delete</a></td></tr>');
				}
				
				
				$("#cs-edit-address .cancel-address").hide();
				$("#cs-edit-address .edit-address").show();
				
			}
			jQuery('#customer_details').unblock();
		}, 'json');
		
		
//		$.get('http://localhost/wordpress3/', function(){
//			$('div#loading').hide();
//			$('#customer_details').css('opacity','1');
//			
//			$("#customer_details").slideToggle("slow");
//			$($this).hide();
//			$("#cs-edit-address .add-address").show();	
//			$("#cs-edit-address .cancel-address-2").hide();
//			
//			//var length = $("#cs-edit-address .cancel-address").filter(':visible').length;
//			if (length > 0)
//			{
//				var rdo_billing = $("#cs-edit-address .cancel-address").filter(':visible').parent().parent().find('input.cs-billing-input').prop('checked');
//				var rdo_shipping = $("#cs-edit-address .cancel-address").filter(':visible').parent().parent().find('input.cs-shipping-input').prop('checked');
//				if (rdo_billing) {
//					$('#cs-edit-address .cs-billing-address .recipients').text('First Name Last Name 2');
//					$('#cs-edit-address .cs-billing-address .company-name').text('Company Name 2');
//					$('#cs-edit-address .cs-billing-address .address').text('Address 2');
//					$('#cs-edit-address .cs-billing-address .address2').text('Address2 2');
//					$('#cs-edit-address .cs-billing-address .billing-city').text('Town / City 2');
//					$('#cs-edit-address .cs-billing-address .billing-state').text('State / County 2');
//					$('#cs-edit-address .cs-billing-address .billing-postcode').text('Postcode / Zip 2');
//					$('#cs-edit-address .cs-billing-address .billing_country').text('America 2');
//				}
//				if (rdo_shipping) {
//					$('#cs-edit-address .cs-shipping-address .recipients').text('First Name Last Name 2');
//					$('#cs-edit-address .cs-shipping-address .company-name').text('Company Name 2');
//					$('#cs-edit-address .cs-shipping-address .address').text('Address 2');
//					$('#cs-edit-address .cs-shipping-address .address2').text('Address2 2');
//					$('#cs-edit-address .cs-shipping-address .billing-city').text('Town / City 2');
//					$('#cs-edit-address .cs-shipping-address .billing-state').text('State / County 2');
//					$('#cs-edit-address .cs-shipping-address .billing-postcode').text('Postcode / Zip 2');
//					$('#cs-edit-address .cs-shipping-address .billing_country').text('America 2');
//				}
//			}
//			
//			else {
//				$('#address-administration').append('<tr><td><input class="cs-billing-input" type="radio" name="rdo-billing" value="radiobutton"></td><td><input class="cs-shipping-input" type="radio" name="rdo-shipping" value="radiobutton"></td><td>David</td><td><span>1 Lincoln St</span><span>Savannah, GA 31401</span></td><td><a class="cancel-address" href="javascript:void(0);" style="display:none;">Cancel</a><a class="edit-address" href="javascript:void(0);">Edit</a>/<a class="delete-address" href="javascript:void(0);">Delete</a></td></tr>');
//			}
//			
//			
//			$("#cs-edit-address .cancel-address").hide();
//			$("#cs-edit-address .edit-address").show();			
//		}, 'html');	
		
				
	});
	
	$("#cs-edit-address .delete-address").live('click', function(){
		jQuery('#address-administration').block({ message: null, overlayCSS: { background: '#fff url(' + colorshop_params.plugin_url + '/assets/images/ajax-loader.gif) no-repeat center', opacity: 0.6 } });
		var data = {
				id:				$(this).prev().attr('data-tag'),
				action: 		'colorshop_delete_address'
		};
		var $this = $(this);
		jQuery.post( colorshop_params.ajax_url, data, function( response ) {
			if (response) {
				var rdo_billing = $this.parent().parent().find('input.cs-billing-input').prop('checked');
				var rdo_shipping = $this.parent().parent().find('input.cs-shipping-input').prop('checked');
				if (rdo_billing) {
//					$('#cs-edit-address .cs-billing-address .recipients').text('');
//					$('#cs-edit-address .cs-billing-address .company-name').text('');
//					$('#cs-edit-address .cs-billing-address .address').text('');
//					$('#cs-edit-address .cs-billing-address .address2').text('');
//					$('#cs-edit-address .cs-billing-address .billing-city').text('');
//					$('#cs-edit-address .cs-billing-address .billing-state').text('');
//					$('#cs-edit-address .cs-billing-address .billing-postcode').text('');
//					$('#cs-edit-address .cs-billing-address .billing_country').text('');
					
//					jQuery.get(window.location.href, function( response ){
//						var billing_address = $(response).find('.cs-billing-address').html();
//						$('.cs-billing-address').html(billing_address);
//					}, 'html');
					
					$('.cs-billing-address').find('address').text('N/A');
				}
				if (rdo_shipping) {
//					$('#cs-edit-address .cs-shipping-address .recipients').text('');
//					$('#cs-edit-address .cs-shipping-address .company-name').text('');
//					$('#cs-edit-address .cs-shipping-address .address').text('');
//					$('#cs-edit-address .cs-shipping-address .address2').text('');
//					$('#cs-edit-address .cs-shipping-address .billing-city').text('');
//					$('#cs-edit-address .cs-shipping-address .billing-state').text('');
//					$('#cs-edit-address .cs-shipping-address .billing-postcode').text('');
//					$('#cs-edit-address .cs-shipping-address .billing_country').text('');
					
//					jQuery.get(window.location.href, function( response ){
//						var shipping_address = $(response).find('.cs-shipping-address').html();
//						$('.cs-shipping-address').html(shipping_address);
//					}, 'html');
					
					$('.cs-shipping-address').find('address').text('N/A');
				}	
				
				$this.parent().parent().remove();
				$("#customer_details").hide("slow");			
				$("#cs-edit-address .add-address").show();		
				$("#cs-edit-address .save-address").hide();
				$("#cs-edit-address .edit-address").show();	
				$("#cs-edit-address .cancel-address").hide();		
				$("#cs-edit-address .cancel-address-2").hide();
			}
			jQuery('#address-administration').unblock();
		});
	});
	
	
	$("#address-administration .cs-billing-input").live('click', function(){
//		if ($('div#loading').length == 0) 				
//			$('body').append('<div id="loading" style="display:none"></div>');		
//		$('div#loading').center().show();		
//		$('.cs-billing-address').css('opacity','0.5');
		
		jQuery('.cs-billing-address').block({ message: null, overlayCSS: { background: '#fff url(' + colorshop_params.plugin_url + '/assets/images/ajax-loader.gif) no-repeat center', opacity: 0.6 } });
		var data = {
				id:				$(this).parent().parent().last().find('a:eq(1)').attr('data-tag'),
				current_type:	'billing',
				action: 		'colorshop_get_extra_address'
		};
		jQuery.post( colorshop_params.ajax_url, data, function( response ) {
//			if (response) {
//				$('#cs-edit-address .cs-billing-address .recipients').text(response.billing_first_name + ' ' + response.billing_last_name);
//				$('#cs-edit-address .cs-billing-address .company-name').text(response.billing_company);
//				$('#cs-edit-address .cs-billing-address .address').text(response.billing_address_1);
//				$('#cs-edit-address .cs-billing-address .address2').text(response.billing_address_2);
//				$('#cs-edit-address .cs-billing-address .billing-city').text(response.billing_city);
//				$('#cs-edit-address .cs-billing-address .billing-state').text(response.billing_state);
//				$('#cs-edit-address .cs-billing-address .billing-postcode').text(response.billing_postcode);
//				$('#cs-edit-address .cs-billing-address .billing_country').text(response.billing_country);
//			}
//			jQuery('.cs-billing-address').unblock();
			
			
			jQuery.get(window.location.href, function( response ){
				var billing_address = $(response).find('.cs-billing-address').html();
				$('.cs-billing-address').html(billing_address);
				jQuery('.cs-billing-address').unblock();
			}, 'html');
			
		}, 'json');
		
//		$.get('http://localhost/wordpress3/', function(){
//			//$('div#loading').hide();
//			//$('.cs-billing-address').css('opacity','1');
//			$('#cs-edit-address .cs-billing-address .recipients').text('First Name Last Name 1');
//			$('#cs-edit-address .cs-billing-address .company-name').text('Company Name 1');
//			$('#cs-edit-address .cs-billing-address .address').text('Address 1');
//			$('#cs-edit-address .cs-billing-address .address2').text('Address2 1');
//			$('#cs-edit-address .cs-billing-address .billing-city').text('Town / City 1');
//			$('#cs-edit-address .cs-billing-address .billing-state').text('State / County 1');
//			$('#cs-edit-address .cs-billing-address .billing-postcode').text('Postcode / Zip 1');
//			$('#cs-edit-address .cs-billing-address .billing_country').text('America 1');
//		}, 'html');			
	});
	
	$("#address-administration .cs-shipping-input").live('click', function(){
		
		jQuery('.cs-shipping-address').block({ message: null, overlayCSS: { background: '#fff url(' + colorshop_params.plugin_url + '/assets/images/ajax-loader.gif) no-repeat center', opacity: 0.6 } });
		var data = {
				id:				$(this).parent().parent().last().find('a:eq(1)').attr('data-tag'),
				current_type:	'shipping',
				action: 		'colorshop_get_extra_address'
		};
		
		jQuery.post( colorshop_params.ajax_url, data, function( response ) {
//			if (response) {
//				console.debug(response);
//				$('#cs-edit-address .cs-shipping-address .recipients').text(response.billing_first_name + ' ' + response.billing_last_name);
//				$('#cs-edit-address .cs-shipping-address .company-name').text(response.billing_company);
//				$('#cs-edit-address .cs-shipping-address .address').text(response.billing_address_1);
//				$('#cs-edit-address .cs-shipping-address .address2').text(response.billing_address_2);
//				$('#cs-edit-address .cs-shipping-address .billing-city').text(response.billing_city);
//				$('#cs-edit-address .cs-shipping-address .billing-state').text(response.billing_state);
//				$('#cs-edit-address .cs-shipping-address .billing-postcode').text(response.billing_postcode);
//				$('#cs-edit-address .cs-shipping-address .billing_country').text(response.billing_country);
//			}
//			jQuery('.cs-shipping-address').unblock();
			
			jQuery.get(window.location.href, function( response ){
				var shipping_address = $(response).find('.cs-shipping-address').html();
				$('.cs-shipping-address').html(shipping_address);
				jQuery('.cs-shipping-address').unblock();
			}, 'html');
		
		
		}, 'json');
		
		
		
		
		
//		if ($('div#loading').length == 0) 				
//			$('body').append('<div id="loading" style="display:none"></div>');		
//		$('div#loading').center().show();		
//		$('.cs-shipping-address').css('opacity','0.5');
//		$.get('http://localhost/wordpress3/', function(){
//			$('div#loading').hide();
//			$('.cs-shipping-address').css('opacity','1');
//			$('#cs-edit-address .cs-shipping-address .recipients').text('First Name Last Name 1');
//			$('#cs-edit-address .cs-shipping-address .company-name').text('Company Name 1');
//			$('#cs-edit-address .cs-shipping-address .address').text('Address 1');
//			$('#cs-edit-address .cs-shipping-address .address2').text('Address2 1');
//			$('#cs-edit-address .cs-shipping-address .billing-city').text('Town / City 1');
//			$('#cs-edit-address .cs-shipping-address .billing-state').text('State / County 1');
//			$('#cs-edit-address .cs-shipping-address .billing-postcode').text('Postcode / Zip 1');
//			$('#cs-edit-address .cs-shipping-address .billing_country').text('America 1');
//		}, 'html');			
	});
	
	$("#cs-edit-address .cancel-address-2").live('click', function(){
		$("#customer_details").hide("slow");			
		$("#cs-edit-address .add-address").show();		
		$("#cs-edit-address .save-address").hide();
		$("#cs-edit-address .edit-address").show();	
		$("#cs-edit-address .cancel-address").hide();		
		$("#cs-edit-address .cancel-address-2").hide();
	});
		
	
	/******************Checkout******************/
	


	/******************Pins******************/
	
	
	$("#cs-pins .cs-pins-img").each(function(index, value){
		$(this).live('click', function(){				
			$('<div id="cs-pin-popup"></div>').appendTo('body').center();
			$('<div id="cs-pin-shadow"></div>').appendTo('body');
		});
	});
	
	$("#cs-pin-popup").live('click', function(){
		$(this).remove();
		$('#cs-pin-shadow').remove();
	});
	
	$("#cs-pin-shadow").live('click', function(){
		$(this).remove();
		$('#cs-pin-popup').remove();
	});

	
	
	/******************Pins******************/
	

	
	
});