﻿///发布搭配
Function.prototype.bind = function () {
    var __method = this, args = Array.from(arguments), object = args.shift();
    return function () {
        if (typeof Array.from == 'function') {
            return __method.apply(object, args.concat(Array.from(arguments)));
        }
    }
};

String.prototype.replaceAll = function (s1, s2) {
    return this.replace(new RegExp(s1, "gm"), s2);
}


Array.from = function (iterable) {
    if (!iterable) return [];
    if (iterable.toArray) {
        return iterable.toArray();
    } else {
        var results = [];
        for (var i = 0, length = iterable.length; i < length; i++)
            results.push(iterable[i]);
        return results;
    }
};

/*var siteDomain = "http://demowww.vancl.com";*/
function SuitClient() {
    this.initialize = function () {
        this.initUpload();
        jQuery('#styleName').keyup(function () { this.textLength(jQuery('#styleName'), jQuery('#styleName').next(), 20); } .bind(this));
        jQuery('#photoList').find('li').live({
            mouseover: function () { jQuery(this).addClass("on"); },
            mouseout: function () { jQuery(this).removeClass("on"); }
        });
        jQuery("#photoList .clouse").find('img').live({
            click: function (e) {
                if (jQuery('#relButton02').is(':visible')) {
                    return;
                }
                if (jQuery('#photoList').find('li').length == 5) {
                    client.enableUploadButton();
                }
                var fileId = jQuery(e.target).parents('li').attr('index');
                jQuery(e.target).parents('li').remove();
                if (jQuery('#photoList').find('li').length == 0)
                    jQuery('#photoContainer').hide();
                var file = client.upload.getFile(fileId);
                if (file && file.filestatus > -3) {
                    client.upload.cancelUpload(fileId, false);
                }
            }
        });
        jQuery('#describe').keyup(function () { this.textLength(jQuery('#describe'), jQuery('#describe_error'), 3000); } .bind(this));
    }
    this.reset = function () {
        this.disableUploadButton();
        jQuery('#SuitAdd').unbind('click');
    }
    this.textLength = function (txt,errEle,maxlength) {
        var length = txt.val().length;
        if (length > maxlength) {
            errEle.css({ color: 'red' }).text('已经超过' + (length - maxlength) + '字,' + '最多只能输入' + maxlength + '字').show();
        } else {
            errEle.css({ color: '' }).text('已输入' + length + '字,还可输入' + (maxlength - length) + '字').show();
        }
    }
    this.initUpload = function () {
        var settings = {
            upload_url: "http://seller.vancl.com/suits/uploadsuitimage?suitid=10801280",
            file_size_limit: "5 MB",
            file_types: "*.gif;*.png;*.bmp;*.jpg;",
            file_types_description: "只允许.gif;.jpg;.png;.bmp格式的图片",
            file_upload_limit: 100,
            file_queue_limit: 0,
            custom_settings: this,
            debug: false,
            button_cursor: -2,
            button_width: 93,
            button_action: -110,
            button_height: 22,
            file_queue_error_handler: this.fileQueueError,
            upload_error_handler: this.uploadError,
            upload_success_handler: this.uploadSuccess,
            upload_progress_handler: this.uploadProgress,
            file_dialog_complete_handler: this.fileDialogComplete,
            upload_complete_handler: this.uploadComplete,
            post_params: { "userId": 1722446 }
        };
        settings.button_placeholder_id = "btn_upload_holder";
        settings.custom_settings = { client: this, uploadIndex: 0 };
        this.upload = new SWFUpload(settings);
    }
    this.disableUploadButton = function () {
        this.upload.setButtonDisabled(true);
        jQuery('#btn_upload').attr('src', 'http://star.vancl.com.cn/star/sites/seller/addsuit/liulbtn_gray.gif');
    }
    this.enableUploadButton = function () {
        this.upload.setButtonDisabled(false);
        jQuery('#btn_upload').attr('src', 'http://star.vancl.com.cn/star/sites/seller/addsuit/liulbtn.gif');
    }
    this.fileDialogComplete = function (numFilesSelected, numFilesQueued, numFilesInQueue) {
        if (userId == 0) {
            alert('请先登录!');
            return false;
        }
        else if (jQuery('#photoList').find('li').length + numFilesSelected > 5) {
            alert('你只能为晒单选择五张图片!');
            return false;
        }
        else {
            if (numFilesQueued > 0) {
                this.startUpload();
                var array = [];
                for (var i = 0; i < numFilesSelected; i++) {
                    var file = this.getFile(this.settings.custom_settings.uploadIndex + i);
                    if (file.filestatus != -3) {
                        array.push({ "Index": file.id });
                    }
                }
                if (array.length > 0) {
                    jQuery('#picLoadTemplate').tmpl(array).appendTo('#photoList');
                    jQuery('#photoContainer').show();
                    if (jQuery('#photoList').find('li').length == 5) {
                        this.setButtonDisabled(true);
                        jQuery('#btn_upload').attr('src', 'http://star.vancl.com.cn/star/sites/seller/addsuit/liulbtn_gray.gif');
                    }
                }
            }
            this.settings.custom_settings.uploadIndex = this.settings.custom_settings.uploadIndex + numFilesSelected;
        }
    }
    this.uploadProgress = function (file, bytesComplete, bytesTotal) {
        var percent = Math.ceil((bytesComplete / bytesTotal) * 100);
        var container = jQuery('#photoList').find('li[index="' + file.id + '"]');
        if (percent == 100)
            container.html(jQuery('#picTemplate').tmpl());
        else
            container.find('span').html(percent + '%');
    }

    this.fileQueueError = function (file, errorCode, message) {
        if (jQuery('#photoList').find('li').length == 5) {
            alert('你只能为晒单选择五张图片!');
            return;
        }
        switch (parseInt(errorCode)) {
            case -100:
                alert('文件正在上传中');
                break;
            case -110:
                alert('文件超出大小限制,请选择5MB以下的图片');
                break;
            case -120:
                alert('文件大小不对');
                break;
            case -130:
                alert('请上传jpg、gif、png、bmp格式的图片。');
                break;
        }
    }

    this.uploadError = function (file, errorCode, message) {
        //alert(message);
    }
    this.uploadComplete = function (file) {
        if (this.getStats().files_queued > 0)
            this.startUpload();
    }
    this.uploadSuccess = function (file, serverData) {
        var container = jQuery('#photoList').find('li[index="' + file.id + '"]');
        if (!container) {
            return;
        }
        container.html(jQuery('#picTemplate').tmpl({ "Index": file.id }));
        jQuery("#photoList").sortable();
        jQuery("#photoList").disableSelection();

        if (serverData) {
            var json = eval("(" + serverData.replaceAll('&quot;', '"') + ")");
            if (json.success) {
                var loadTimes = 1;
                var loadImage = function (url) {
                    _im = container.find('img:first');
                    _im.bind("load", function () { jQuery(this).fadeIn(); });
                    _im.bind("error", function () {
                        if (loadTimes < 3) {
                            _im.bind("error", null);
                            setTimeout(function () { loadImage(url) }, 1000);
                        }
                        loadTimes++;
                    });
                    _im.attr('src', 'http://starusr.vancl.com.cn/69/92/star' + url).show();
                } .bind(this);
                loadImage(json.newfilename);
            }
            else {
                container.remove();
                alert(json.error);
            }
        }
        else {
            container.remove();
            alert('上传失败');
        }
    }

    this.add = function (action, data) {
        var Suit = {};
        Suit.Id = suitId;
        Suit.SuitProducts = [];
        jQuery('input[name="productid"]:checked').each(function (i) {
            Suit.SuitProducts.push({ ProductId: jQuery(this).val(), Index: i, SiteId: siteId });
        });
        if (Suit.SuitProducts.length == 0) {
            alert('请选择要秀的商品');
            return;
        }
        if (jQuery.trim(jQuery('#styleName').val()) == '') {
            alert('晒单标题不能为空，写一个个性标题吧');
            return;
        }
        if (jQuery.trim(jQuery('#styleName').val().length) > 20) {
            alert('晒单标题字数不能大于20');
            return;
        }
        Suit.Name = encodeURIComponent(jQuery.trim(jQuery('#styleName').val()));
        if (client.upload.getStats().in_progress == 1) {
            alert('晒单图片还在上传中，请耐心等候上传完毕');
            return;
        }
        Suit.Photos = [];
        var isPhotoNotComplete = false;
        jQuery('#photoList').find('img.suit_outimg').each(function (i) {
            if (isPhotoNotComplete)
                return;
            var src = jQuery(this).attr('src');
            if (src != 'http://star.vancl.com.cn/star/sites/seller/addsuit/loadingbig.gif')
                Suit.Photos.push({ Path: jQuery(this).attr('src').substring(jQuery(this).attr('src').indexOf('/star/')).replace(/_source/g, '').replace(/_small/g, '').replace(/suitsource/g, 'users'), Index: i });
            else
                isPhotoNotComplete = true;
        });
        if (isPhotoNotComplete) {
            alert('晒单图片还在上传中，请耐心等候上传完毕');
            return;
        }
        if (Suit.Photos.length == 0) {
            alert('晒单图片不能为空，上传图片晒晒自己的穿着效果吧');
            return;
        }
        if (jQuery.trim(jQuery('#describe').val().length) > 3000) {
            alert('晒单分享心得字数不能大于3000');
            return;
        }
        Suit.Describe = encodeURIComponent(jQuery.trim(jQuery('#describe').val()));
        data = data || {};
        data.suitString = JSON2.stringify(Suit);
        jQuery.ajax({
            type: 'Post',
            url: action,
            dataType: 'json',
            data: data,
            beforeSend: function () { jQuery('#relButton02').show() },
            success: function (serverdata) {
                jQuery('#relButton02').hide();
                if (serverdata.error) {
                    alert(serverdata.error);
                }
                else {
                    jQuery('#showSuccess').css({ 'z-index': 100 }).show();
                    client.reset();
                }
            },
            error: function () { alert('出错了，请刷新页面重试'); jQuery('#relButton02').hide(); }
        });
    }
}
var client = new SuitClient();
jQuery(function () { client.initialize(); });